Package pyplusplus :: Package decl_wrappers :: Module call_policies :: Class convert_array_to_tuple_t

# type convert_array_to_tuple_t

source code

       object --+
                |
    call_policy_t --+
                    |
    compound_policy_t --+
                        |
                       convert_array_to_tuple_t

implements code generation for Py++ defined "as_tuple" value policy

For complete documentation and usage example see http://language-binding.net/pyplusplus/documentation/functions/call_policies.html

Instance Methods

__init__(self, array_size, memory_manager, make_object_call_policies=None, base=None) | source code

is_predefined(self) Returns True if call policy is defined in Boost.Python library, False otherwise | source code

Inherited from `compound_policy_t`: `__str__` Inherited from `call_policy_t`: `create`, `create_template_arg`, `create_type`, `is_default`

Properties
| header_file Return name of the header file to be included
| array_size
| memory_manager
| make_objec_call_policies
Inherited from `compound_policy_t`: `base_policy`

Method Details

### __init__(self, array_size, memory_manager, make_object_call_policies=None, base=None)
(Constructor)

source code

Overrides: call_policy_t.__init__

### is_predefined(self)

source code

Returns True if call policy is defined in Boost.Python library, False otherwise

Overrides: call_policy_t.is_predefined

Property Details

### header_file

Return name of the header file to be included

### array_size

Get Method:
  _get_array_size(self)
Set Method:
  _set_array_size(self, new_array_size)

### memory_manager

Get Method:
  _get_memory_manager(self)
Set Method:
  _set_memory_manager(self, new_memory_manager)

### make_objec_call_policies

Get Method:
  _get_make_objec_call_policies(self)
Set Method:
  _set_make_objec_call_policies(self, new_make_objec_call_policies)